Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021312
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 09. Financial managementmajoralways2012-08-06 08:502012-09-26 17:26
ReporterngarciaView Statuspublic 
Assigned Toeduardo_Argal 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision672fd86dad97
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021312: When reactivating a payment, it is not possible to delete all the lines

DescriptionWhen reactivating a payment, it is not possible to delete all the lines. To delete a line you must run the Add details process and delete its selection, but you cannot process the payment without lines.
Steps To ReproduceAs group admin role:
   Create a Purchase Invoice and complete it
   Add a Payment to it
   Go to the Financial Account - Transaction and delete the associated transaction by the process button (you should Unpost it first)
   Go to the Payment Out window and Reactivate the payment
   Run the Add Details button, unmark the selected invoice and process it
   Notice that the following error appears:
      Error:
      Not possible to add a payment without lines.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0051882)
eduardo_Argal (developer)
2012-09-05 18:53

TESTING PLAN:
1.- Create a sales invoice and process it
2.- Move to payment in window and create a payment which partially pays the invoice and process it
3.- Verify in sales invoice window it has been partially paid
4.- Move back to payment IN window and reactivate it selecting "Reactivate and Remove Lines" action. then delete the payment header as lines should have already been deleted.
5.- Repeat the steps creating and paying a purchase invoice
6.- Repeat the process both on sales and purchase using "Reactivate" action to ensure this is still working.

Note: this testing should be as well done using GL Items, generating credit, using write off, using multi-currency
(0051883)
eduardo_Argal (developer)
2012-09-05 18:56

REGRESSION RISK IS LOW: Internal Procedures have not changed at all, one hidden action has been displayed and this should not add additional risk as the action was hidden but is being used by other processes which do work
(0051890)
hgbot (developer)
2012-09-06 11:47

Repository: erp/devel/pi
Changeset: b86c5fec47e2c0a70060e673d655407f4ef52cb7
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Tue Sep 04 17:35:13 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b86c5fec47e2c0a70060e673d655407f4ef52cb7 [^]

Fixes bug 21312

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_VAL_RULE.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
M src-db/database/sourcedata/AD_REF_LIST.xml
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/UpdatePaymentProcessedValue.java
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/UpdatePaymentProcessedValue_data.xsql
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/UpdatePaymentProcessedValueData.java
---
(0051891)
Sandrahuguet (developer)
2012-09-06 11:48

Code review + testing OK
(0052645)
hgbot (developer)
2012-09-26 17:14

Repository: erp/devel/pi
Changeset: 672fd86dad9723e7d5961f9fe7b9031ad6142865
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Tue Sep 04 17:35:13 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/672fd86dad9723e7d5961f9fe7b9031ad6142865 [^]

Fixes bug 21312

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_VAL_RULE.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
M src-db/database/sourcedata/AD_REF_LIST.xml
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/UpdatePaymentProcessedValue.java
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/UpdatePaymentProcessedValue_data.xsql
A modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/UpdatePaymentProcessedValueData.java
---
(0052690)
hudsonbot (developer)
2012-09-26 17:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-08-06 08:50 ngarcia New Issue
2012-08-06 08:50 ngarcia Assigned To => mirurita
2012-08-06 08:50 ngarcia Modules => Core
2012-08-06 08:50 ngarcia Issue Monitored: networkb
2012-08-21 14:14 eintelau Issue Monitored: eintelau
2012-08-28 13:05 Xpand-IT Issue Monitored: Xpand-IT
2012-09-04 17:33 eduardo_Argal Assigned To mirurita => eduardo_Argal
2012-09-04 17:34 eduardo_Argal Status new => scheduled
2012-09-04 17:34 eduardo_Argal fix_in_branch => pi
2012-09-05 18:53 eduardo_Argal Note Added: 0051882
2012-09-05 18:56 eduardo_Argal Note Added: 0051883
2012-09-06 11:47 hgbot Checkin
2012-09-06 11:47 hgbot Note Added: 0051890
2012-09-06 11:48 hgbot Status scheduled => resolved
2012-09-06 11:48 hgbot Resolution open => fixed
2012-09-06 11:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b86c5fec47e2c0a70060e673d655407f4ef52cb7 [^]
2012-09-06 11:48 Sandrahuguet Note Added: 0051891
2012-09-06 11:48 Sandrahuguet Status resolved => closed
2012-09-26 17:14 hgbot Checkin
2012-09-26 17:14 hgbot Note Added: 0052645
2012-09-26 17:14 hgbot Status closed => resolved
2012-09-26 17:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/b86c5fec47e2c0a70060e673d655407f4ef52cb7 [^] => http://code.openbravo.com/erp/devel/pi/rev/672fd86dad9723e7d5961f9fe7b9031ad6142865 [^]
2012-09-26 17:18 hudsonbot Checkin
2012-09-26 17:18 hudsonbot Note Added: 0052690
2012-09-26 17:26 gorka_gil Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker